Update an Entity
curl --request PATCH \
--url https://api.syntage.com/entities/{entityId} \
--header 'Content-Type: application/merge-patch+json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"tags": [
"/entity-tags/91106968-1abd-4d64-85c1-4e73d96fb997"
],
"name": "Syntage"
}
'import requests
url = "https://api.syntage.com/entities/{entityId}"
payload = {
"tags": ["/entity-tags/91106968-1abd-4d64-85c1-4e73d96fb997"],
"name": "Syntage"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/merge-patch+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/merge-patch+json'},
body: JSON.stringify({tags: ['/entity-tags/91106968-1abd-4d64-85c1-4e73d96fb997'], name: 'Syntage'})
};
fetch('https://api.syntage.com/entities/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/Entity",
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Link",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"type": "company",
"taxpayer": {
"@id": "/taxpayers/PEIC211118IS0",
"@type": "Taxpayer",
"id": "PEIC211118IS0",
"personType": "physical",
"registrationDate": "2023-12-25",
"name": "Pedro Infante Cruz"
},
"credential": {
"@id": "/credentials/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Credential",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "ciec",
"rfc": "PEIC211118IS0",
"status": "pending",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
},
"tags": [
{
"@id": "/entity-tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "EntityTag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "Priority Entity",
"color": "#22c558",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}Entities
Update an Entity
Update an entity. Sending tags replaces the entity’s existing tag assignments with the provided collection.
PATCH
/
entities
/
{entityId}
Update an Entity
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Body
application/merge-patch+json
Response
Entity resource response
Entity IRI reference
Example:
"/entities/91106968-1abd-4d64-85c1-4e73d96fb997"
JSON-LD resource type; Entity resources currently use the legacy Link JSON-LD type for backwards compatibility
Example:
"e0a24894-7fbf-48ae-bfb0-efaae30a6319"
Type of entity
Available options:
company, person Example:
"company"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Date and time the resource was created
Example:
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
Example:
"2020-01-01T12:15:00.000Z"
Was this page helpful?
⌘I